#ifndef _ENCODING_H
#define _ENCODING_H

#ifndef WIN32
#include <iconv.h>
#endif

/**
	@file     encoding.h
	@brief    문자열을 변경하는 프로그램.
	KTS가 현재 euc-kr 체계로 현재 utf-8 -> euc-kr 변경이 필요함
*/

/**
	@brief   문자열 변경 함수
*/
void encoding( const char* text  /**< 문자열 */
    , const char* to  /**< 변경할 인코딩 */
    , const char* from  /**< 문자열의 인코딩 */ 
	, char* output /**< 변환된 문자열 */ );

#endif
