#ifndef _PGKTS_H
#define _PGKTS_H

/** 
 	@file pgkts.h 
	@brief KTS 처리관련 Headerfile. 
	@author byung82
	@date 2008-05-29 
*/


typedef struct _PARSRESTATE {
	char	*buffer;
	char	line[2048];
	char	word[50];
	int		len;
	int		pos;
	int		complete;
	int		type;
	int		index;
	int		tlen;
	int		slen;
	int		hlen;
	char*	encoding;
	void*	scanner;
} PARSERSTATE, *PPARSERSTATE;

void Startup( void );
void Shutdown( void );

/**
	@brief 형태소분석을 실행한다.
*/
void Process( const char *text /**< 형태소를 분석할 문자열*/
	, PPARSERSTATE state /**< PARSESTAE */ );


#endif
