#include <stdio.h>
#include <stdarg.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <errno.h>

FILE* openFile( const char* filename )
{

	return fopen( filename, "wa" );
}

void DebugMessage( const char *format
	, ... )
{
#ifdef DEBUG
	va_list		arg;
	int			count;
	
	va_start( arg, format );
	count = vfprintf( stderr, format, arg );
	va_end( arg );

#endif	
}
