---- ktsparser 설정 쿼리

CREATE FUNCTION ktsprs_start(internal,int4)
	RETURNS internal
	AS '$libdir/pgkts.so'
	LANGUAGE 'C';

CREATE FUNCTION ktsprs_nexttoken(internal,internal,internal)
	RETURNS int4
	AS '$libdir/pgkts.so'
	LANGUAGE 'C';

CREATE FUNCTION ktsprs_end(internal)
	RETURNS void
	AS '$libdir/pgkts.so'
	LANGUAGE 'C';

CREATE FUNCTION ktsprs_lextype(internal)
	RETURNS internal
	AS '$libdir/pgkts.so'
	LANGUAGE 'C';

INSERT INTO pg_ts_parser 
(
	prsname, 
	prsnamespace, 
	prsstart, 
	prstoken, 
	prsend, 
	prsheadline, 
	prslextype
)
SELECT
	'ktsparser',
	'11',
	'ktsprs_start',
	'ktsprs_nexttoken',
	'ktsprs_end', 
	'prsd_headline',
	'ktsprs_lextype'	
;

CREATE TEXT SEARCH CONFIGURATION ktscfg ( PARSER = ktsparser );

ALTER TEXT SEARCH CONFIGURATION ktscfg ADD MAPPING FOR word WITH english_stem;
